%define upstream_name    Test-WWW-Mechanize-PSGI
%define upstream_version 0.39

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Test PSGI programs using WWW::Mechanize
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI::Cookie)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Message::PSGI)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::WWW::Mechanize)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
the PSGI manpage is a specification to decouple web server environments
from web application framework code. the Test::WWW::Mechanize manpage is a
subclass of the WWW::Mechanize manpage that incorporates features for web
application testing. The the Test::WWW::Mechanize::PSGI manpage module
meshes the two to allow easy testing of the PSGI manpage applications.

Testing web applications has always been a bit tricky, normally requiring
starting a web server for your application and making real HTTP requests to
it. This module allows you to test the PSGI manpage web applications but
does not require a server or issue HTTP requests. Instead, it passes the
HTTP request object directly to the PSGI manpage. Thus you do not need to
use a real hostname: "http://localhost/" will do. However, this is
optional. The following two lines of code do exactly the same thing:

  $mech->get_ok('/action');
  $mech->get_ok('http://localhost/action');

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.390.0-3.mga9
+ Revision: 1811580
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.390.0-2.mga8
+ Revision: 1524012
- Mageia 8 Mass Rebuild

* Sat Mar 23 2019 tv <tv> 0.390.0-1.mga7
+ Revision: 1379813
- update to 0.39

* Thu Sep 20 2018 umeabot <umeabot> 0.380.0-2.mga7
+ Revision: 1286835
- Mageia 7 Mass Rebuild

* Sun Dec 10 2017 shlomif <shlomif> 0.380.0-1.mga7
+ Revision: 1182120
- update to 0.38

* Tue Oct 03 2017 tv <tv> 0.370.0-2.mga7
+ Revision: 1166943
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 sander85 <sander85> 0.370.0-1.mga7
+ Revision: 1158458
- update to 0.37
- update to 0.35

* Sun Jun 19 2016 pterjan <pterjan> 0.350.0-7.mga6
+ Revision: 1034832
- Rebuild for perl 5.22.2

* Fri Jan 29 2016 umeabot <umeabot> 0.350.0-6.mga6
+ Revision: 928731
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.350.0-4.mga5
+ Revision: 686572
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.350.0-3.mga4
+ Revision: 515474
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.350.0-2.mga3
+ Revision: 373908
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 21 2011 jquelin <jquelin> 0.350.0-1.mga2
+ Revision: 111297
- imported package perl-Test-WWW-Mechanize-PSGI


* Tue Jun 21 2011 cpan2dist 0.35-1mga
- initial mageia release, generated with cpan2dist
